> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Users

> API changes for the Users module.

<Update label="2026-09-15">
  **1 API change(s)**

  **`GET /rs/users/v1/`**

  * added the new optional `query` request parameter `whereComplianceStatus`
</Update>

<Update label="2026-09-09">
  **6 API change(s)**

  **`GET /rs/users/v1/me`**

  * added the enum value `security` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `security` to the response with the `200` status

  **`DELETE /rs/users/v1/me/picture`**

  * endpoint added

  **`PUT /rs/users/v1/me/picture`**

  * endpoint added

  **`GET /rs/users/v1/me/sessions`**

  * endpoint added

  **`POST /rs/users/v1/me/sessions/revoke-others`**

  * endpoint added
</Update>

<Update label="2026-09-08">
  **6 API change(s)**

  **`GET /rs/users/v1/`**

  * added the new optional `query` request parameter `whereUnitIds`
  * added the enum value `units` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/units` to the response with the `200` status

  **`GET /rs/users/v1/{id}`**

  * added the enum value `units` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `units` to the response with the `200` status

  **`PUT /rs/users/v1/{id}/units`**

  * endpoint added
</Update>

<Update label="2026-09-07">
  **3 API change(s) - ⚠️ includes 3 breaking change(s)**

  **`GET /rs/users/v1/`**

  * for the `query` request parameter `whereProfessionId`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereRoleId`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`

  **`GET /rs/users/v1/{id}/diplomas`**

  * for the `query` request parameter `whereTitleId`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01">
  **2 API change(s)**

  **`GET /rs/users/v1/{id}/diplomas`**

  * added the required property `data/items/createdAt` to the response with the `200` status
  * added the required property `data/items/updatedAt` to the response with the `200` status
</Update>

<Update label="2026-08-28">
  **4 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/users/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/users/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/users/v1/batch-archive`**

  * endpoint added

  **`POST /rs/users/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26 (#673)">
  **2 API change(s)**

  **`GET /rs/users/v1/`**

  * added the new optional `query` request parameter `countOnly`

  **`GET /rs/users/v1/{id}/diplomas`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-26">
  **2 API change(s)**

  **`GET /rs/users/v1/`**

  * added the required property `data/items/createdAt` to the response with the `200` status

  **`GET /rs/users/v1/{userId}`**

  * added the required property `createdAt` to the response with the `200` status
</Update>

<Update label="2026-08-04">
  **4 API change(s)**

  **`GET /rs/users/v1/`**

  * added the enum value `responsibilities` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/responsibilities` to the response with the `200` status

  **`GET /rs/users/v1/{userId}`**

  * added the enum value `responsibilities` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `responsibilities` to the response with the `200` status
</Update>

<Update label="2026-07-30">
  **2 API change(s)**

  **`POST /rs/users/v1/me/phone/send-code`**

  * endpoint added

  **`POST /rs/users/v1/me/phone/verify`**

  * endpoint added
</Update>

<Update label="2026-07-27">
  **9 API change(s)**

  **`GET /rs/users/v1/`**

  * added the new optional `query` request parameter `whereArchived`
  * added the enum value `actions-info` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/actions` to the response with the `200` status
  * added the required property `data/items/archivedAt` to the response with the `200` status

  **`GET /rs/users/v1/{userId}`**

  * added the enum value `actions-info` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `actions` to the response with the `200` status
  * added the required property `archivedAt` to the response with the `200` status

  **`POST /rs/users/v1/{userId}/archive`**

  * endpoint added

  **`POST /rs/users/v1/{userId}/unarchive`**

  * endpoint added
</Update>

<Update label="2026-07-17">
  **22 API change(s) — ⚠️ includes 7 breaking change(s)**

  **`POST /rs/users/v1/invite`**

  * added the new required request property `roles`
  * removed the request property `roleIds`

  **`GET /rs/users/v1/me`**

  * the response property `identity` became optional for the status `200`
  * removed the required property `roles/items/organizationId` from the response with the `200` status
  * for the `query` request parameter `extend`, the type/format of property `items/` was changed from `/` to `string`/\`\`
  * added the enum value `image` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `organization` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `identity/image` to the response with the `200` status
  * added the optional property `organization` to the response with the `200` status
  * added the optional property `picture` to the response with the `200` status
  * added the required property `permissions` to the response with the `200` status
  * added the required property `roles/items/role` to the response with the `200` status
  * added the required property `roles/items/unitIds` to the response with the `200` status

  **`POST /rs/users/v1/na`**

  * removed the request property `roleIds`
  * added the new optional request property `roles`

  **`PATCH /rs/users/v1/{userId}`**

  * removed the request property `roleIds`
  * added the new optional request property `roles`

  **`GET /rs/users/v1/`**

  * added the optional property `data/items/roles/items/itIds` to the response with the `200` status
  * added the optional property `data/items/roles/items/unitIds` to the response with the `200` status

  **`POST /rs/users/v1/accept-invitation`**

  * endpoint added

  **`GET /rs/users/v1/{userId}`**

  * added the optional property `roles/items/itIds` to the response with the `200` status
  * added the optional property `roles/items/unitIds` to the response with the `200` status
</Update>

<Update label="2026-07-15">
  **14 API change(s)**

  **`GET /rs/users/v1/`**

  * endpoint added

  **`POST /rs/users/v1/invite`**

  * endpoint added

  **`POST /rs/users/v1/invite/resend`**

  * endpoint added

  **`GET /rs/users/v1/me`**

  * endpoint added

  **`PATCH /rs/users/v1/me`**

  * endpoint added

  **`POST /rs/users/v1/na`**

  * endpoint added

  **`POST /rs/users/v1/na/{userId}/invite`**

  * endpoint added

  **`DELETE /rs/users/v1/{userId}`**

  * endpoint added

  **`GET /rs/users/v1/{userId}`**

  * endpoint added

  **`PATCH /rs/users/v1/{userId}`**

  * endpoint added

  **`GET /rs/users/v1/{userId}/diplomas`**

  * endpoint added

  **`POST /rs/users/v1/{userId}/diplomas`**

  * endpoint added

  **`DELETE /rs/users/v1/{userId}/diplomas/{diplomaId}`**

  * endpoint added

  **`PATCH /rs/users/v1/{userId}/diplomas/{diplomaId}`**

  * endpoint added
</Update>

<Update label="2026-07-13">
  **1 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`POST /rs/users/v1/invite`**

  * api path removed without deprecation
</Update>

<Update label="2026-06-10">
  **1 API change(s)**

  **`POST /rs/users/v1/invite`**

  * endpoint added
</Update>
